summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorDavid Lönnhager <david.l@mullvad.net>2026-01-21 17:16:25 +0100
committerDavid Lönnhager <david.l@mullvad.net>2026-01-21 17:16:25 +0100
commit26bdd7a1f191c31d9ea9ce94a53582acc777e8c5 (patch)
tree5265d9804aa3370dc26cc9d981117ed3faa9d0e4
parent4000462497e687715047b7d7578f25453477ad6c (diff)
parentb996d2aa71aa055c6b0e1872595276a6fa730697 (diff)
downloadmullvadvpn-26bdd7a1f191c31d9ea9ce94a53582acc777e8c5.tar.xz
mullvadvpn-26bdd7a1f191c31d9ea9ce94a53582acc777e8c5.zip
Merge branch 'test-fw-fix-tags'
-rwxr-xr-xtest/scripts/run/ci.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/test/scripts/run/ci.sh b/test/scripts/run/ci.sh
index f2c94306cf..38b40aa028 100755
--- a/test/scripts/run/ci.sh
+++ b/test/scripts/run/ci.sh
@@ -25,9 +25,11 @@ TEST_OS=$1
# shellcheck source=test/scripts/utils/lib.sh
source "../utils/lib.sh"
+git fetch --tags --force
+
# The `CURRENT_VERSION` variable is set by the workflow file which invokes `mullvad-version`
# We need to add a suffix with tag information to get the current version string
-TAG=$(git describe --exact-match HEAD 2>/dev/null || echo "")
+TAG=$(git describe --tags 2>/dev/null || echo "")
if [[ -n "$TAG" && ${CURRENT_VERSION} =~ -dev- ]]; then
# Remove disallowed version characters from the tag
CURRENT_VERSION+="+${TAG//[^0-9a-z_-]/}"